Skip to main content
GET
Retrieve an eligibility check

Authorizations

Authorization
string
header
required

A sandbox or production secret key.

Path Parameters

eligibility_check_id
string
required

A public eligibility-check identifier.

Maximum string length: 100
Pattern: ^elig_[A-Za-z0-9_-]+$

Response

An eligibility decision

id
string
required
Maximum string length: 100
Pattern: ^elig_[A-Za-z0-9_-]+$
object
string
required
Allowed value: "eligibility_check"
status
enum<string>
required
Available options:
eligible,
ineligible
reason_codes
enum<string>[]
required
Available options:
eligible,
coverage_not_found,
coverage_inactive,
outside_coverage_period,
benefit_exhausted,
amount_exceeds_benefit
service
object
required
amount
object
required
authorization_required
boolean
required
remaining_sessions
integer | null
required
Required range: x >= 0
coverage_valid_until
string<date-time> | null
required
checked_at
string<date-time>
required
Last modified on July 30, 2026